Ubuntu problême d'installation de Jin[Résolu]

Vous n'arrivez pas à faire ce que vous voulez ? Vous avez un problème avec un logiciel ou son installation ?

Modérateur : Mods GNU/Linux

rastasurfer

Ubuntu problême d'installation de Jin[Résolu]

par rastasurfer »

Bonjour
J'utilise Ubuntu depuis peu et je voudrai savoir comment installer Jin qui est une application Java qui sert à jouer aux échecs en ligne sur le site international chess club.
Jin se présente sous la forme d'une archive(.tar.gz) a télécharger.
Voici un lien qui parle de Jin mais c'est en anglais et j'y comprends pas grand chose:

http://www.jinchess.com/unix_download

Merci pour votre aide
Dernière modification par rastasurfer le 20 juin 2008 23:13, modifié 1 fois.
Avatar de l’utilisateur
mélodie
Messages : 1491
Inscription : 14 janv. 2007 00:29
Localisation : Pyrénées

Re: Ubuntu problême d'installation de Jin

par mélodie »

Tu le télécharges, tu détares l'archive, puis indiques ici ce qu'elle contient.

Crée un répertoire jin pour travailler dedans, la console de Ubuntu est dans le menu accessoires il me semble.
Tu l'ouvres, puis:

Code : Tout sélectionner

$mkdir jin
(ne met pas de '$' il est juste là pour indiquer la fin de l'invite de commande, donc ici en mode utilisateur, et non pas en mode administrateur, car ce serait alors un '#' qui terminerait l'invite de console).

Rends-toi dans le répertoire jin:

Code : Tout sélectionner

$cd jin/
Télécharges avec wget (mieux qu'avec le navigateur web):
dans la console (toujours en user):

Code : Tout sélectionner

$wget http://surfnet.dl.sourceforge.net/sourceforge/jin/jin-2.14.1-unix.tar.gz
détares-le:

Code : Tout sélectionner

tar -xvzf jin-2.14.1-unix.tar.gz
x pour extract (=extraire), v pour verbose (=bavard) z parce que c'est un .gz peut-être ? Je ne sais plus.
Oui c'est ça, dans le man de tar:

Code : Tout sélectionner

 [ -z, --gzip, --ungzip      ] 
l'option -z est utilisée pour "gzipper" ou "dégzipper".

Une fois détaré, reviens nous dire ce qu'il contient:

dans la même console :
Il doit y avoir eu création d'un répertoire jin, rends-toi dedans :

Code : Tout sélectionner

$cd jin/
invoques 'ls -l' (sans guillemets) et copies le retour de la console ici.

Cherches un fichier texte, (README.txt éventuellement, ou autre truc.txt) ouvres le avec un éditeur de textes (n'importe lequel et en mode utilisateur) pour voir si tu trouves un howto pour l'installer, et éventuellement si les commandes :

Code : Tout sélectionner

$./configure
puis

Code : Tout sélectionner

$make
sont celles qui sont prévues (c'est une application java, ça peut être un peu particulier à installer à la main).

Si tout se passe bien, après ces deux commandes il est possible de lancer le binaire directement depuis la console (avec ./jin par exemple)

ou de l'installer :

Code : Tout sélectionner

$su
#make install
mais là on tombe dans une méthode préhisto et crade : plus de gestion centralisée du paquet, il faudra désinstaller tous les fichiers à la main lors de mises à jours (et comment faire pour les retrouver tous ? Wao mission impossible, ou presque).

Il est possible de créer un paquet soi-même (peut-être pas pour quelqu'un qui vient juste de débuter quand même... )

Si quelqu'un a envie de s'amuser à essayer de faire un paquet deb, j'ai trouvé des howto's:
http://doc.ubuntu-fr.org/tutoriel/creer_un_paquet

http://doc.ubuntu-fr.org/projets/paquet ... _avec_cdbs

PDT_012
Règles à respecter sur le forum Si vous ne savez pas comment poster, cliquez ici !
(Et tout particulièrement la section «À lire avant de poster, en 5 points de Capitaine Fab»)

Texte culte
:
Comment Poser Les Questions De Manière Intelligente
rastasurfer

Re: Ubuntu problême d'installation de Jin

par rastasurfer »

Bonsoir
@mélodie : merci pour ton aide,ça me fait un peu flipper toutes ces lignes de commande,mais ce week end je me jette à l'eau et je te tiens au courant.
Encore merci et bonne soirée.

PDT_003
Avatar de l’utilisateur
mélodie
Messages : 1491
Inscription : 14 janv. 2007 00:29
Localisation : Pyrénées

Re: Ubuntu problême d'installation de Jin

par mélodie »

Bon courage, et n'hésite pas à aller te faire aider sur le canal IRC des ubuntuistes francophones.

http://doc.ubuntu-fr.org/salon_irc

PDT_012
Règles à respecter sur le forum Si vous ne savez pas comment poster, cliquez ici !
(Et tout particulièrement la section «À lire avant de poster, en 5 points de Capitaine Fab»)

Texte culte
:
Comment Poser Les Questions De Manière Intelligente
rastasurfer

Re: Ubuntu problême d'installation de Jin

par rastasurfer »

Bonjour
@ mélodie
J'ai tapé les commandes que tu m'as donné jusqu'à celle ci : $ls
Mais j'ai l'impression que le résultat n'est pas celui souhaité.
Voici une capture d'écran de ma console:

Image


Désolé ,Je me suis un peu planté pour la capture,j'aurai voulu qu'il n'y est que la console mais je n'y suis pas arrivé (c'est ma premiére capture sous ubuntu).
Peux tu me dire si le résultat de la console est bon par rapport aux commandes tapés et ce que je doit faire maintenant
s'il te plait?
Merci
Engil Hramn

Re: Ubuntu problême d'installation de Jin

par Engil Hramn »

Tient...régle un peu compiz aussi
installe le paquet compiz-config-setting-manager , et tu vas dans préference , advanced desktop setting , ça sera mieux pour le paramétrage PDT_037
Les lignes de commandes , c'est le délire , tu tappe deux mots , et t'en as mille qui s'affiche Blue_PDT_01_05
Pour revenir au sujet , je ne sait pas comment réglé ton probléme , désolé xD PDT_037 (attendons le messi PDT_043 )
rastasurfer

Re: Ubuntu problême d'installation de Jin

par rastasurfer »

Salut Engil Hramn
Tu peux m'expliquer à quoi sert le paquet que tu me dit de télécharger.
Merci pour ton aide
Engil Hramn

Re: Ubuntu problême d'installation de Jin

par Engil Hramn »

Salut,
C'est betement le configurateur GUI de compiz-fusion , le module 3D d'Ubuntu ( tu sait les transparence lourdingue ici et là :p )
Une fois installé , tu peut controler tout les effet a partir d'une interface , plus pratique que la commande
Mais ça n'as pas de rapport avec ton probléme xD
C'est juste pour eviter les transparence lourde PDT_009
rastasurfer

Re: Ubuntu problême d'installation de Jin

par rastasurfer »

Ok merci pour l'info
Avatar de l’utilisateur
mélodie
Messages : 1491
Inscription : 14 janv. 2007 00:29
Localisation : Pyrénées

Re: Ubuntu problême d'installation de Jin

par mélodie »

Bonjour,
Selon ce que je crois comprendre tu as juste lancé cette commande pour l'instant:

Code : Tout sélectionner

tar -xvzf jin-2.14.1-unix.tar.gz
Engil Hramn, il y a beaucoup de lignes à la suite de sa commande, parce qu'il y a un 'v' dans les options, pour que la sortie soit 'verbose', c'est à dire bavarde. Cela évite de rester devant sa console à attendre la fin sans savoir si quelque chose est en train de se passer.

rastasurfer, si tu as juste détaré le fichier (désarchivé) tu continues là où tu t'es arrêté (relis ce que je t'ai écris ci-dessus):
Il doit y avoir eu création d'un répertoire jin, rends-toi dedans :

Code: Tout sélectionner
$cd jin/
Pour la capture d'écran, regarde mieux la fenêtre qui est restée sur la capture : il y a une option pour l'écran entier, une pour la fenêtre, et une pour mettre un délai... devines comment faire ? PDT_019
Règles à respecter sur le forum Si vous ne savez pas comment poster, cliquez ici !
(Et tout particulièrement la section «À lire avant de poster, en 5 points de Capitaine Fab»)

Texte culte
:
Comment Poser Les Questions De Manière Intelligente
TortuX

Re: Ubuntu problême d'installation de Jin

par TortuX »

J'interpelle un peu tout le monde en vous demandant si vous avez regardé un peu le tar.gz et ce qu'il contient et à la limite, lire le README ?
Car perso je l'ai fait pour voir ce qu'il y avait dedans et le tout est une application java et ne nécessite aucune installation.
Il suffit de décompresser l'archive, et en console de taper ./jin ou java -jar jin.jar
Pour que cette commande fonctionne correctement, il te faudra java avec la version 1.6
Pour le vérifier, tapes en console java -version et si jamais il te ressort une version 1.5, on t'expliquera comment faire pour installer une 1.6 ;)

A bientôt, bon courage ;)
Avatar de l’utilisateur
mélodie
Messages : 1491
Inscription : 14 janv. 2007 00:29
Localisation : Pyrénées

Re: Ubuntu problême d'installation de Jin

par mélodie »

Bonjour TortuX,

C'est un peu ce que je disais plus haut, (mais deux avis valent mieux qu'un ! PDT_005 ) lire les fichiers textes inclus dans l'archive, et:
Si tout se passe bien, après ces deux commandes il est possible de lancer le binaire directement depuis la console (avec ./jin par exemple)
Par contre dans le cas d'une application lancée à la main, un système pour pouvoir le lancer depuis un menu serait assez bienvenu j'imagine. (quelque chose un fichier jin.desktop quelque part dans le système, sous Archlinux nous avons ça dans /usr/share/applications, il faut donc pousser un peu plus avant les recherches).
Règles à respecter sur le forum Si vous ne savez pas comment poster, cliquez ici !
(Et tout particulièrement la section «À lire avant de poster, en 5 points de Capitaine Fab»)

Texte culte
:
Comment Poser Les Questions De Manière Intelligente
TortuX

Re: Ubuntu problême d'installation de Jin

par TortuX »

Peu etre créer un lien symbolique du fameux jin dans /usr/local/bin et ensuite d'en faire un raccourci.
Sous Gnome, je suis incapable de vous aider, par contre, sur KDE, il n'y aura pas de soucis.

PS: il est clair que de toute façon, avant de poser quoi que ce soit comme question, un tour dans les fichier README HOWTO etc ... de ce type d'archive peuvent bien souvent aider un peu ;)
rastasurfer

Re: Ubuntu problême d'installation de Jin

par rastasurfer »

Bonsoir
Merci à tous les deux pour votre aide.
J'essais ce week end et je vous tiens au courant.
A+

PDT_003
rastasurfer

Re: Ubuntu problême d'installation de Jin

par rastasurfer »

Bonjour
J'ai trouvé un fichier README et d'aprés ce que je crois comprendre ,il faut taper la commande ./jin pour lancer l'application.
J'ai essayé et là ,la console m'affiche :bash: ./jin: Aucun fichier ou répertoire de ce type.
J'ai tapé la commande : java version et la console répond :Exception in thread "main" java.lang.NoClassDefFoundError: version
Quand je vais dans applications ajouter/supprimer je vois que j'ai java 6 web star d'installé.
Est ce que c'est la version qu'il faut?
Voici une capture de readme :Image

Pouvez vous m'aider s'il vous plait?
Merci
  • Sujets similaires
    Réponses
    Vues
    Dernier message

Revenir à « Utilisation de GNU/Linux »